Last Comment Bug 881221 - Don't try to package MSVC dlls if WIN32_REDIST_DIR is not set, in Thunderbird
: Don't try to package MSVC dlls if WIN32_REDIST_DIR is not set, in Thunderbird
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 05:22 PDT by Philip Chee
Modified: 2013-06-25 05:20 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Proposed fix. (3.04 KB, patch)
2013-06-10 05:27 PDT, Philip Chee
standard8: review+
Details | Diff | Splinter Review

Description Philip Chee 2013-06-10 05:22:09 PDT
Every time I do pymake package I get the following errors:

Error: c:\t1\hg\objdir-tb\mail\installer\package-manifest:40: Missing file(s): bin/msvcp100.dll
Error: c:\t1\hg\objdir-tb\mail\installer\package-manifest:41: Missing file(s): bin/msvcr100.dll

See:
Bug 735810 - Don't try to package MSVC dlls if WIN32_REDIST_DIR is not set, in Firefox
Bug 735618 - Don't try to package MSVC dlls if WIN32_REDIST_DIR is not set, in SeaMonkey.
Comment 1 Philip Chee 2013-06-10 05:27:02 PDT
Created attachment 760355 [details] [diff] [review]
Patch v1.0 Proposed fix.
Comment 2 Philip Chee 2013-06-11 05:40:19 PDT
Comment on attachment 760355 [details] [diff] [review]
Patch v1.0 Proposed fix.

Changing review request to Standard8
Comment 3 Philip Chee 2013-06-13 08:16:14 PDT
Pushed to comm-central:
https://hg.mozilla.org/comm-central/rev/6c5f4cc58b28

Note You need to log in before you can comment on or make changes to this bug.